monolog:
    handlers:
        # main:
        #     type: fingers_crossed
        #     action_level: error
        #     handler: nested
        #     excluded_http_codes: [404, 405]
        #     buffer_size: 50 # How many messages should be saved? Prevent memory leaks
        # nested:
        #     type: stream
        #     path: php://stderr
        #     level: debug
        #     formatter: monolog.formatter.json
        main:
            type:  rotating_file
            path:  '%kernel.logs_dir%/%kernel.environment%.log'
            level: debug
            # max number of log files to keep
            # defaults to zero, which means infinite files
            max_files: 30
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
